Page MenuHomePhabricator

Move wiki.toolserver.org to WMF
Closed, ResolvedPublic

Description

wiki.toolserver.org should be preserved as/on a WMF wiki.

Details

Reference
bz60220

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
scfc added a comment.Feb 19 2014, 4:04 PM

(In reply to Nemo from comment #15)

Don't forget the logs, files, user rights etc.

I don't intend to preserve logs or user rights. I assume that WMDE has
plans in place to retain data for potential criminal or civil proceedings,
but the scope of this bug is to keep the wiki's content in a (re-)usable
form.

You?

I am quite certain that "I" is the correct translation of "ich".

silke added a comment.Apr 9 2014, 1:12 PM

Coming back to this open question... Where is the toolserver wiki supposed to live on? We'd need a mediawiki hosted somewhere that is non-SUL and not part of production.

According to Coren (bots.wmflabs.org/~wm-bot/logs/%23wikimedia-office/20140219.txt) the best way would be: Someone is willing to turn the toolserver wiki into a "tool" in Tool Labs and maintain it there in the long run.

Do we have a volunteer for this?

silke added a comment.May 9 2014, 12:34 PM

Ok, I see we don't have a volunteer for this. So - same as for svn - a backup copy / xml dump will be kept in Labs. Whoever wants to resurrect the toolserver wiki as a "tool" in Tool Labs is welcome to do so.

Silke will poke Nosy / Marlen to create the backup. Before, we'll announce a tswiki "freeze".

scfc added a comment.May 9 2014, 1:08 PM

The point of moving wiki.toolserver.org to WMF *is* to have it be part of production so that (security) updates are done once and neither waste multiple people's time nor leave the wiki open for attack because no volunteer will have much enthusiasm about that wiki in a year.

That Coren thinks the best way would be to turn it into a tool is understandable given that he is the Tools administrator.

But WMF not only pays people to manage wikis, they also do it *every* *fucking* *day* so they're quite proficient at it, and they can even make use of the patches I (as a volunteer) submitted three months ago.

Reedy added a comment.May 9 2014, 1:36 PM

Putting it on production as a "standalone" wiki (like the private wikis etc) would be fairly easy.

The "most difficult" part of it at would presumably be postgres -> mysql. Of course, depending on what we want to actually transfer. Special:Export might suffice?

Shouldn't be much work to do... (ie I can do it this weekend)

silke added a comment.May 9 2014, 1:51 PM

Yay, cool, Reedy! I can poke Nosy to help you.

Reedy added a comment.May 9 2014, 1:52 PM

(In reply to Silke Meyer (WMDE) from comment #21)

Yay, cool, Reedy! I can poke Nosy to help you.

I've got root ;)

Reedy added a comment.May 9 2014, 2:14 PM

(In reply to Tim Landscheidt from comment #19)

The point of moving wiki.toolserver.org to WMF *is* to have it be part of
production so that (security) updates are done once and neither waste
multiple people's time nor leave the wiki open for attack because no
volunteer will have much enthusiasm about that wiki in a year.
That Coren thinks the best way would be to turn it into a tool is
understandable given that he is the Tools administrator.
But WMF not only pays people to manage wikis, they also do it *every*
*fucking* *day* so they're quite proficient at it, and they can even make
use of the patches I (as a volunteer) submitted three months ago.

The security argument is pretty amusing considering it's on 1.18 now.

Doesn't it make more sense to be on labs rather than the production cluster? What benefits are there for it to be a "production" wiki?

scfc added a comment.May 10 2014, 4:03 PM

(In reply to Sam Reed (reedy) from comment #20)

[...]

The "most difficult" part of it at would presumably be postgres -> mysql. Of
course, depending on what we want to actually transfer. Special:Export might
suffice?

[...]

Yes, that's what I suggested for bug #60415. Nemo_bis wants to keep some logs in bug #61539.

(In reply to Sam Reed (reedy) from comment #23)

(In reply to Tim Landscheidt from comment #19)

The point of moving wiki.toolserver.org to WMF *is* to have it be part of
production so that (security) updates are done once and neither waste
multiple people's time nor leave the wiki open for attack because no
volunteer will have much enthusiasm about that wiki in a year.

[...]

The security argument is pretty amusing considering it's on 1.18 now.

Doesn't it make more sense to be on labs rather than the production cluster?
What benefits are there for it to be a "production" wiki?

That's the reason I want the wiki to be set up in production. At Toolserver, one extremely lauded volunteer and two paid admins didn't update it, and I'm very certain that the sustained interest in Labs will be the same level. If on the other hand wiki.toolserver.org can be managed as one of 800+ (?) wikis, the extra time needed will be negligible in the long run.

Is here anything I can help with?

Reedy, I would like to communicate a "freeze" date for the wiki before it can't be edited any more. When will you be bale to migrate it and so when could that deadline be? End of May? Later?

silke added a comment.Jun 4 2014, 10:06 AM

Ping Reedy!

silke added a comment.Jun 12 2014, 7:32 AM

Summary of office hour:

  • We haven't heard from Reedy.
  • We questioned the importance of keeping the wiki again if no one has the resources to move it somewhere.
  • If no one does, we'll keep a backup dump for later ressurrection.

https://bots.wmflabs.org/~wm-bot/logs/%23wikimedia-office/20140611.txt ([17:41:50])

(In reply to Silke Meyer (WMDE) from comment #28)

  • If no one does, we'll keep a backup dump for later ressurrection.

Full SQL dump?

Ahem, not SQL. * Full database dump + images?

(In reply to Silke Meyer (WMDE) from comment #28)

  • We questioned the importance of keeping the wiki again if no one has the

resources to move it somewhere.

  • If no one does, we'll keep a backup dump for later ressurrection.

Someone should just write and run a bot to transwiki (export and import, maybe) all the content from wiki.toolserver.org to Meta-Wiki. Then we can go through it on Meta-Wiki at a leisurely pace. If we wait for the wiki to only be available as an SQL dump, it will be significantly more annoying and painful to retrieve the contents and its history.

I might be able to help write such a bot if it's not trivial. I assume some of the larger MediaWiki bot code libraries such as pywikibot have built-in functions to do imports and exports, but even doing it with requests to the MediaWiki API directly shouldn't be too difficult.

As I recall, a potential blocker here might be that user auth seemed to have broken for the wiki at some point for scripts. I ran a script under my main account for years, but at some point it developed an issue where it always had trouble logging in, so it would just update the wiki page as an IP address (cf. https://wiki.toolserver.org/history/Wiki_server_assignments). I assumed it was something to do with the shared auth system in place there.

(In reply to MZMcBride from comment #31)

I might be able to help write such a bot if it's not trivial.

As I already said multiple times, it is: dumpgenenerator.py --api=http://wiki.toolserver.org/w/api.php --xml and then Special:Import on the target wiki, optionally after fancy templates/titles/category/user rewrites.

That's without logs and images of course.

I too would recommend against setting up a new wiki. A wiki named "Toolserver" certainly wouldn't make sense as that as of late is no longer going to be operational. Perhaps set up its content as a public read-only archive (like nostalgia). But I think we don't even need that. The little relevant/valuable pages it has can be imported to Meta-Wiki, Wikitech or in user's namespace elsewhere. Most of the pages will only describe obsolete infrastructure.

scfc added a comment.Jul 3 2014, 9:16 PM

Eh, the intention was always to set it up as a public, (almost) read-only archive. Of course it would describe obsolete infrastructure, just as https://wikimania2005.wikimedia.org/ is only "useful" for time travellers.

But some people find history really interesting, and some societies even build museums at high costs. Or revision histories to see years later how a Wikipedia article evolved over time.

I have a dumpBackup.php --full copied off the server if you need it.

Moving to Site requests as this is a request for a WMF-hosted wiki.

silke added a comment.Oct 1 2014, 2:46 PM

Cool, thanks for the backup, Nosy!

silke added a comment.Dec 9 2014, 7:56 AM

Just a reminder - if anyone is interested in keeping this wiki, please take over responsibilty to run it somewhere. Toolserver is about to be decommissioned and from next month on, and this closed-down project will no longer be on my radar.

coren lowered the priority of this task from High to Lowest.Dec 23 2014, 7:45 PM
coren set Security to None.
greg removed Reedy as the assignee of this task.Mar 27 2015, 7:33 PM
Dereckson changed the task status from Open to Stalled.Apr 10 2015, 2:35 PM
Dereckson changed the status of subtask T62222: Set up a clone of wiki.toolserver.org from Open to Stalled.

What's this stalled on?

This reflects more accurately the current status of this bug.

There is a conjunction of lack of availability of backups, decreasing usefulness with the time passing, zero request "hey we really need to get back the ... toolserver page" recorded from the community.

And what really will be the goal to provide it in 2016?

valhallasw changed the task status from Stalled to Open.Apr 10 2015, 8:12 PM

Nosy has a backup available, so as far as I can see, this bug is not stalled (see https://www.mediawiki.org/wiki/Bug_management/Bug_report_life_cycle). Rather, we are just waiting for someone to set up the wiki so the backup can be imported.

silke removed a subscriber: silke.Apr 13 2015, 6:37 AM

Wait, so why don't we just set something up in labs?

Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 20 2015, 2:39 AM
Meno25 added a subscriber: Meno25.Jul 20 2015, 4:40 AM

Labs is not meant for storage of permanent information.

Change 227079 had a related patch set uploaded (by Nemo bis):
Redirect wiki.toolserver.org to www.mediawiki.org

https://gerrit.wikimedia.org/r/227079

Tacsipacsi updated the task description. (Show Details)Aug 24 2015, 10:06 AM
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 17 2016, 12:29 PM
Nemo_bis reopened this task as Open.Jan 17 2016, 8:52 PM

We're still missing the redirects.

If anyone feels inclined to figure out the right apache2 configuration: https://github.com/wikimedia/operations-puppet/blob/production/modules/toolserver_legacy/templates/www.toolserver.org.erb

But given that wiki.toolserver.org has been nonfunctional for over two years now, I'm inclined to call it a day. For reference, the access log has about 400 hits by browsers to / and /view/* in the last month. Those currently get the https://toolserver.org/ main page, which is good enough for me.

valhallasw removed valhallasw as the assignee of this task.Jan 18 2016, 2:55 PM

400 visits per month might mean dozens of hours wasted chasing the same information elsewhere. Spending a couple hours fixing the URLs seems an investment with high return.

valhallasw updated the task description. (Show Details)
Dzahn added a subscriber: Dzahn.May 18 2016, 12:51 AM

I can add the cert with Letsencrypt but only if the Apache virtual host exists before.

Change 289487 had a related patch set uploaded (by Dzahn):
toolserver.org: same ServerAliases for https, add wiki. alias

https://gerrit.wikimedia.org/r/289487

Change 289487 merged by Dzahn:
toolserver.org: same ServerAliases for https, add wiki. alias

https://gerrit.wikimedia.org/r/289487

Dzahn updated the task description. (Show Details)May 18 2016, 6:44 PM
Dzahn added a comment.EditedMay 18 2016, 6:48 PM

added Apache server alias, restarted Apache,

root@relic:/var/log/apache2# tail -f access.log | grep wiki.toolserver

2016-05-18T18:47:32	166	50.x.x.x	-/302	211	GET	http://wiki.toolserver.org/	-	text/html	-	-	Mozilla/5.0 (X11; Linux i686; rv:38.0) Gecko/20100101 Firefox/38.0 Iceweasel/38.2.1	en-US,en;q=0.5	-	-	50.x.x.x
2016-05-18T18:47:50	456	185.x.x.x	-/404	238	GET	http://wiki.toolserver.org/view/Special:Contributions/Prolineserver	-	text/html	--	Mozilla/5.0 (compatible; XoviBot/2.0; +http://www.xovibot.net/)	-	-	-	185.x.x.x
Dzahn added a comment.May 18 2016, 7:07 PM

created the Letsencrypt cert with the additional SANs

https://gerrit.wikimedia.org/r/#/c/289345/

DNS Name: stable.toolserver.org
DNS Name: toolserver.org
DNS Name: wiki.toolserver.org
DNS Name: www.toolserver.org

Dzahn updated the task description. (Show Details)May 18 2016, 7:07 PM
Dzahn added a comment.May 18 2016, 7:12 PM

Now if somebody wants to write the Rewrite Rules.. this should be unblocked now.

Change 227079 merged by Dzahn:
Redirect wiki.toolserver.org to www.mediawiki.org

https://gerrit.wikimedia.org/r/227079

Restricted Application added a subscriber: alanajjar. · View Herald TranscriptFeb 22 2018, 11:31 AM
Meno25 removed a subscriber: Meno25.Sep 21 2018, 7:41 PM